package v2category_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type V2CategoryDetailRequest struct {
	// <ext>core:true;format:string</ext> 【用印流程id】用印流程id 【作用】 指定需查询详情的用印流程 【传参】 用印流程id和用印流程名称必传其一，均传入以用印流程id为准。
	Id *int64 `json:"id,omitempty"`
	// <ext>core:true</ext> 【用印流程名称】用印流程名称 【作用】 指定需查询详情的用印流程 【传参】 用印流程id和用印流程名称必传其一，均传入以用印流程id为准。
	Name string `json:"name,omitempty"`
	// 【是否返回用印流程预设的签署方信息】是否返回用印流程预设的签署方信息 【传参】 取值范围：true（返回），false（不返回）；不传值默认为：false（不返回）。
	ShowSignatories *bool `json:"showSignatories,omitempty"`
	// 【是否返回接收方填参参数 】是否返回接收方填参参数  【作用】  返回详情中是否包含接收方填参参数  【传参】  取值范围：true（不返回接收方填参参数），false（返回接收方填参）；不传值默认为：false（返回接收方填参）。
	HideReceiverParams *bool `json:"hideReceiverParams,omitempty"`
}

func (obj V2CategoryDetailRequest) GetUrl() string {
	return "/v2/category/detail"
}

func (obj V2CategoryDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
